org.eclipse.ease.ui.preferences

## Class ModulesContentProvider

- java.lang.Object
- - org.eclipse.ease.ui.tools.AbstractVirtualTreeProvider
  - - org.eclipse.ease.ui.preferences.ModulesContentProvider

All Implemented Interfaces:
  IContentProvider, IStructuredContentProvider, ITreeContentProvider

    public class ModulesContentProvider
    extends AbstractVirtualTreeProvider

### Field Summary

### Fields inherited from class org.eclipse.ease.ui.tools.AbstractVirtualTreeProvider

`ROOT`

### Constructor Summary

Constructors
Constructor and Description
`ModulesContentProvider()`

### Method Summary

### Methods inherited from class org.eclipse.ease.ui.tools.AbstractVirtualTreeProvider

`dispose, getChildren, getElements, getParent, hasChildren, inputChanged, registerElement, registerNodeReplacement, registerPath, setShowRoot`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ModulesContentProvider

    public ModulesContentProvider()